Name:           mitmproxy
Version:        6.0.2
Release:        1%{?dist}
Summary:        An interactive TLS-capable intercepting HTTP proxy

License:        MIT
URL:            https://mitmproxy.org
Source0:        https://github.com/mitmproxy/mitmproxy/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

# For testing
BuildRequires:  python%{python3_pkgversion}-hypothesis
BuildRequires:  python%{python3_pkgversion}-parver
BuildRequires:  python%{python3_pkgversion}-pytest-asyncio
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-pytest-timeout
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-tox

BuildRequires:  python%{python3_pkgversion}-asgiref
BuildRequires:  python%{python3_pkgversion}-blinker
BuildRequires:  python%{python3_pkgversion}-brotli
BuildRequires:  python%{python3_pkgversion}-certifi
BuildRequires:  python%{python3_pkgversion}-click
BuildRequires:  python%{python3_pkgversion}-cryptography
BuildRequires:  python%{python3_pkgversion}-flask
BuildRequires:  python%{python3_pkgversion}-h2
BuildRequires:  python%{python3_pkgversion}-hyperframe
BuildRequires:  python%{python3_pkgversion}-kaitaistruct
BuildRequires:  python%{python3_pkgversion}-ldap3
BuildRequires:  python%{python3_pkgversion}-msgpack
BuildRequires:  python%{python3_pkgversion}-passlib
BuildRequires:  python%{python3_pkgversion}-protobuf
BuildRequires:  python%{python3_pkgversion}-pyasn1
BuildRequires:  python%{python3_pkgversion}-pyOpenSSL
BuildRequires:  python%{python3_pkgversion}-pyparsing
BuildRequires:  python%{python3_pkgversion}-pyperclip
BuildRequires:  python%{python3_pkgversion}-publicsuffix2
BuildRequires:  python%{python3_pkgversion}-ruamel-yaml
BuildRequires:  python%{python3_pkgversion}-sortedcontainers
BuildRequires:  python%{python3_pkgversion}-tornado
BuildRequires:  python%{python3_pkgversion}-urwid
BuildRequires:  python%{python3_pkgversion}-wsproto
BuildRequires:  python%{python3_pkgversion}-zstandard

Requires:       python%{python3_pkgversion}-asgiref
Requires:       python%{python3_pkgversion}-blinker
Requires:       python%{python3_pkgversion}-brotlipy
Requires:       python%{python3_pkgversion}-certifi
Requires:       python%{python3_pkgversion}-click
Requires:       python%{python3_pkgversion}-cryptography
Requires:       python%{python3_pkgversion}-flask
Requires:       python%{python3_pkgversion}-h2
Requires:       python%{python3_pkgversion}-hyperframe
Requires:       python%{python3_pkgversion}-kaitaistruct
Requires:       python%{python3_pkgversion}-ldap3
Requires:       python%{python3_pkgversion}-msgpack
Requires:       python%{python3_pkgversion}-passlib
Requires:       python%{python3_pkgversion}-protobuf
Requires:       python%{python3_pkgversion}-pyasn1
Requires:       python%{python3_pkgversion}-pyOpenSSL
Requires:       python%{python3_pkgversion}-pyparsing
Requires:       python%{python3_pkgversion}-pyperclip
Requires:       python%{python3_pkgversion}-publicsuffix2
Requires:       python%{python3_pkgversion}-ruamel-yaml
Requires:       python%{python3_pkgversion}-sortedcontainers
Requires:       python%{python3_pkgversion}-tornado
Requires:       python%{python3_pkgversion}-urwid
Requires:       python%{python3_pkgversion}-wsproto
Requires:       python%{python3_pkgversion}-zstandard


%description
The mitmproxy project’s tools are a set of front-ends that expose common underlying functionality.
 * mitmproxy is an interactive man-in-the-middle proxy for HTTP and HTTPS with a console interface.
 * mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.
 * mitmweb is a web-based interface for mitmproxy.

Documentation, tutorials and distribution packages can be found on the mitmproxy website.

Features

 * Intercept HTTP & HTTPS requests and responses and modify them on the fly
 * Save complete HTTP conversations for later replay and analysis
 * Replay the client-side of an HTTP conversations
 * Replay HTTP responses of a previously recorded server
 * Reverse proxy mode to forward traffic to a specified server
 * Transparent proxy mode on OSX and Linux
 * Make scripted changes to HTTP traffic using Python
 * SSL/TLS certificates for interception are generated on the fly
 * And much, much more…


%prep
%autosetup -p1


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
# py.test-%{python3_version}

%files
%license LICENSE
%doc CHANGELOG.rst README.rst 
%{_bindir}/mitmdump
%{_bindir}/mitmproxy
%{_bindir}/mitmweb
%{_bindir}/pathoc
%{_bindir}/pathod
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}
%{python3_sitelib}/pathod


%changelog
* Thu May 06 2021 Felix Kaechele <felix@kaechele.ca> - 6.0.2-1
- update to 6.0.2

* Sat Dec 12 2020 Felix Kaechele <felix@kaechele.ca> - 6.0.0-1
- update to 6.0.0

* Sun Jul 19 2020 Felix Kaechele <felix@kaechele.ca> - 5.2-1
- update to 5.2

* Sat Dec 21 2019 Felix Kaechele <felix@kaechele.ca> - 5.0.0-1
- update to 5.0.0

* Thu Dec 13 2018 Felix Kaechele <felix@kaechele.ca> - 4.0.4-1
- 4.0.4

